Create Product
curl --request POST \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/products \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/products"
payload = {}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"productId": "prod_ABC123XYZ",
"productName": "Starter Plan",
"description": "Up to 100 minutes included",
"taxBehavior": "exclusive",
"pricing": {
"amount": "2999",
"billingCycle": "month",
"currency": "usd",
"pricingModel": "base",
"metrics": "minutes",
"usageLimit": 100,
"overage": "15"
},
"creationDate": 1700000000,
"activeSubscriptionsCount": 0,
"status": "active"
}{
"error": "An unexpected error occurred"
}Products
Create Product
Create a product for a connected account.
POST
/
stripe
/
connect
/
accounts
/
{accountId}
/
products
Create Product
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
Body
application/json
Show child attributes
Show child attributes
Response
OK
Example:
"prod_ABC123XYZ"
Example:
"Starter Plan"
Example:
"Up to 100 minutes included"
Example:
"exclusive"
Show child attributes
Show child attributes
Example:
1700000000
Example:
0
Example:
"active"
⌘I
